require 'json'

package = JSON.parse(File.read(File.join(__dir__, 'package.json')))

Pod::Spec.new do |s|
  s.name         = package['name']
  s.version      = package['version']
  s.summary      = package['description']
  s.license      = package['license']
  s.authors      = package['author']['name']
  s.homepage     = package['homepage']
  s.platform     = :ios, "11.0"

  s.source = { :path => '.' }
  s.source_files  = "ios/**/*.{h,m}"

  s.dependency 'React'
  s.dependency 'UserX'
end
